### Function

# ECal ComponentParameterBag new

since: 3.34

#### Declaration [src]

    ECalComponentParameterBag*
    e_cal_component_parameter_bag_new (
      void
    )

#### Description [src]

Creates a new `ECalComponentParameterBag`. Free the structure with e_cal_component_parameter_bag_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentParameterBag`

A newly allocated `ECalComponentParameterBag`.

The caller of the function takes ownership of the data, and is responsible for freeing it.